#!/bin/zsh

export COPYFILE_DISABLE=true

ArmFiles=aarch64-apple-darwin22.2.0
IntelFiles=x86_64-apple-darwin22.2.0


if [[ -d RawCode/2021-New/universal-darwin ]]; then
	rm -R RawCode/2021-New/universal-darwin
fi

if [[ -f universal-darwin.tar.xz ]]; then
	rm  universal-darwin.tar.xz
fi

if [[ -d universal-darwin ]]; then
	rm -R universal-darwin
fi

if [[ -f RawCode/universal-darwin.tar.xz ]]; then
	rm  RawCode/universal-darwin.tar.xz
fi

if [[ -d RawCode/universal-darwin ]]; then
	rm -R RawCode/universal-darwin
fi

mkdir universal-darwin

echo CHANGED BINARIES

cd RawCode/x86_64-apple-darwin18.7.0
files=`ls`
for f in $files; do
	if  ! [[ -L $f ]] &&  [[ "$(file $f)" = "$f: Mach-O 64-bit executable x86_64" ]]; then
		
		if [ -e ../../RawCodeOld/x86_64-apple-darwin18.7.0/$f ]; then
			cmp -s ../../RawCodeOld/x86_64-apple-darwin18.7.0/$f $f
			status=$?
			if ! [[ $status = 0 ]]; then
				echo $f
				if [[ -e ../aarch64-apple-darwin20.6.0/$f ]]; then
					lipo $f   ../aarch64-apple-darwin20.6.0/$f -create -output ../../universal-darwin/$f
				else
					cp $f ../../universal-darwin/$f
				fi
				
				if [[ $f = mf ]] || [[ $f = xdvi-xaw ]] || [[ $f = dvisvgm ]]; then
					codesign -s   "Developer ID Application: Richard Koch"  --force --timestamp --options=runtime --entitlements=${WORK}/gs-X11.entitlements  ../../universal-darwin/$f
				elif [[ $f = luahbtex ]] || [[ $f = luajithbtex ]] || [[ $f = luatex ]] || [[ $f = luajittex ]]; then
					codesign -s   "Developer ID Application: Richard Koch"  --force --timestamp --options=runtime --entitlements=${WORK}/luahbtex.entitlements  ../../universal-darwin/$f
				else
					codesign -s   "Developer ID Application: Richard Koch" --force --timestamp --options=runtime ../../universal-darwin/$f
				fi
			else
				cp ../../RawCodeOld/universal-darwin/$f ../../universal-darwin/$f
			fi
		else
			echo BRAND NEW
			echo $f
			if [[ -e ../aarch64-apple-darwin20.6.0/$f ]]; then
					lipo $f   ../aarch64-apple-darwin20.6.0/$f -create -output ../../universal-darwin/$f
				else
					cp $f ../../universal-darwin/$f
				fi
			if [[ $f = mf ]] || [[ $f = xdvi-xaw ]] || [[ $f = dvisvgm ]]; then
				codesign -s   "Developer ID Application: Richard Koch"  --force --timestamp --options=runtime --entitlements=${WORK}/gs-X11.entitlements  ../../universal-darwin/$f
			elif [[ $f = luahbtex ]] || [[ $f = luajithbtex ]] || [[ $f = luatex ]] || [[ $f = luajittex ]]; then
				codesign -s   "Developer ID Application: Richard Koch"  --force --timestamp --options=runtime --entitlements=${WORK}/luahbtex.entitlements  ../../universal-darwin/$f
			else
				codesign -s   "Developer ID Application: Richard Koch" --force --timestamp --options=runtime ../../universal-darwin/$f
			fi
		fi
	fi
		
			
done

echo END OF CHANGED BINARIES

echo ASYMPTOTE

cmp -s ../../RawCodeOld/asy-Intel ../asy-Intel
status=$?
if ! [[ $status = 0 ]]; then
	lipo ../asy-Intel  ../asy-Arm  -create -output ../../universal-darwin/asy
	codesign -s   "Developer ID Application: Richard Koch" --force --timestamp --options=runtime ../../universal-darwin/asy
else
	cp ../../RawCodeOld/universal-darwin/asy ../../universal-darwin/asy
fi

cd ../../universal-darwin
ln -s ../../texmf-dist/asymptote/GUI/xasy.py xasy
cd ../RawCode/x86_64-apple-darwin18.7.0

echo COPY ALL OTHER SCRIPTS AND LINKS

echo LINKS

for f in $files; do
	if [[ -L $f ]]; then
		cp -R $f ../../universal-darwin/$f
	fi
done

echo SCRIPTS

for f in $files; do
	if  ! [[ -L $f ]] && ! [[ "$(file $f)" = "$f: Mach-O 64-bit executable x86_64" ]] ; then
		cp $f ../../universal-darwin/$f
	fi
done



echo END OF CHANGED SCRIPTS

cd ../


echo COMPRESSING

(cd  universal-darwin; tar cf - . ) > universal-darwin.tar

../xz --compress universal-darwin.tar

cp universal-darwin.tar.xz RawCode/universal-darwin.tar.xz




