#!/bin/zsh


export COPYFILE_DISABLE=true

if [[ -f universal-darwin-context.tar.xz ]]; then
	rm  universal-darwin-context.tar.xz
fi

if [[ -d universal-darwin-context ]]; then
	rm -R universal-darwin-context
fi

mkdir universal-darwin-context

cd RawCodeConTeXt
codesign --remove-signature luametatex-Arm
codesign --remove-signature luametatex-Intel
lipo luametatex-Arm luametatex-Intel -create -output ../universal-darwin-context/luametatex

cd ../universal-darwin-context 
codesign -s "Developer ID Application: Richard Koch" --force --timestamp --options=runtime luametatex
cd ../

(cd  universal-darwin-context; tar cf - . ) > universal-darwin-context.tar

./xz --compress universal-darwin-context.tar




