#!/bin/zsh


export COPYFILE_DISABLE=true

if [[ -f lz4-universal-darwin.tar.xz ]]; then
	rm  lz4-universal-darwin.tar.xz
fi

if [[ -d lz4-universal-darwin ]]; then
	rm -R lz4-universal-darwin
fi

mkdir lz4-universal-darwin

cd RawCode
codesign --remove-signature lz4-Arm
codesign --remove-signature lz4-Intel

lipo lz4-Intel lz4-Arm -create -output ../lz4-universal-darwin/lz4
cd ..

cd lz4-universal-darwin
codesign -s   "Developer ID Application: Richard Koch" --force --timestamp --options=runtime lz4
cd ..

(cd  lz4-universal-darwin; tar cf - . ) > lz4-universal-darwin.tar
 ./xz --compress lz4-universal-darwin.tar
