#!/bin/zsh


export COPYFILE_DISABLE=true

if [[ -f xz-universal-darwin.tar.xz ]]; then
	rm  xz-universal-darwin.tar.xz
fi

if [[ -d xz-universal-darwin ]]; then
	rm -R xz-universal-darwin
fi

mkdir xz-universal-darwin

cd RawCode
codesign --remove-signature xz-Arm
codesign --remove-signature xz-Intel

lipo xz-Intel xz-Arm -create -output ../xz-universal-darwin/xz
cd ..

cd xz-universal-darwin
codesign -s   "Developer ID Application: Richard Koch" --force --timestamp --options=runtime xz
cd ..

(cd  xz-universal-darwin; tar cf - . ) > xz-universal-darwin.tar
 ./xz --compress xz-universal-darwin.tar
